Package org.eclipse.m2m.atl.engine.vm

# Class ASMXMLReaderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.xml.sax.SAXException
org.xml.sax.SAXParseException
org.eclipse.m2m.atl.engine.vm.ASMXMLReaderException

All Implemented Interfaces:
  `Serializable`

public class ASMXMLReaderException extends SAXParseException

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`ASMXMLReaderException(String message, String publicId, String systemId, int lineNumber, int columnNumber)`
`ASMXMLReaderException(String message, String publicId, String systemId, int lineNumber, int columnNumber, Exception e)`
`ASMXMLReaderException(String message, Locator locator)`
`ASMXMLReaderException(String message, Locator locator, Exception e)`

## Method Summary

### Methods inherited from class org.xml.sax.SAXParseException

`getColumnNumber, getLineNumber, getPublicId, getSystemId, toString`

### Methods inherited from class org.xml.sax.SAXException

`getCause, getException, getMessage`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ASMXMLReaderException

public ASMXMLReaderException(String message, Locator locator)

### ASMXMLReaderException

public ASMXMLReaderException(String message, Locator locator, Exception e)

### ASMXMLReaderException

public ASMXMLReaderException(String message, String publicId, String systemId, int lineNumber, int columnNumber)

### ASMXMLReaderException

public ASMXMLReaderException(String message, String publicId, String systemId, int lineNumber, int columnNumber, Exception e)